import { Provider, Branch } from './types';
export default class Github implements Provider {
    private githubClient;
    constructor(opt: {
        password: string;
        apiPathPrefix?: string;
        apiHost?: string;
        timeout?: number;
    });
    fetchRawFile(opt: {
        owner: string;
        repo: string;
        ref: string;
        path: string;
    }): Promise<string>;
    getBranch(opt: {
        owner: string;
        repo: string;
        branch: string;
    }): Promise<Branch>;
}
