import { Provider, Branch } from './types';
export default class Gitlab implements Provider {
    private baseUrl;
    private authenticationHeader;
    private timeout;
    constructor(opts: {
        password: string;
        apiURL?: string;
        timeout?: number;
    });
    private performAPICall;
    fetchRawFile(opt: {
        owner: string;
        repo: string;
        ref: string;
        path: string;
    }): Promise<string>;
    getBranch(opt: {
        owner: string;
        repo: string;
        branch: string;
    }): Promise<Branch>;
}
